<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/DtBoxingInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '组盘信息',
            name: 'stock/DtBoxingInfo',
            url: "/BoxingInfo/",
            sortName: "id"
        });
        const editFormFields = ref({

        });
        const editFormOptions = ref([

        ]);
        const searchFormFields = ref({
            palletCode:""
        });
        const searchFormOptions = ref([
            [
                { "title": "托盘条码", "field": "palletCode", type: "text" },
                //{ "title": "物料编号", "field": "materielCode", type: "text" },
                //{ "title": "库存状态", "field": "status", type: "select", dataKey: "StockState", data: [] },
                //{ "title": "组盘类型", "field": "groupType", type: "select", dataKey: "GroupType", data: [] },
            ]
        ]);
        const columns = ref([
            { field: 'id', title: '库存ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'palletCode', title: '托盘条码', type: 'string', width: 110, align: 'left', sort: true, link: true, },
            //{ field: 'locationCode', title: '库位', type: 'string', width: 110, align: 'left' },
            //{ field: 'isFull', title: '是否满盘', type: 'bool', width: 110, align: 'left' },
            { field: 'currentStatue', title: '当前状态', type: 'int', width: 110, align: 'left', bind: { key: "StockState", data: [] } },
            //{ field: 'remark', title: '备注', type: 'string', width: 120, align: 'left' },
            //{ field: 'productionLine', title: '产线', type: 'string', width: 70, align: 'left' , bind: { key: "ProductionLine", data: [] } },
            { field: 'creater', title: '创建人', type: 'string', width: 100, align: 'left' },
            { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 100, align: 'left' },
        ]);

        const detail = ref({
            cnName: "组盘明细信息",
            table: "DtBoxingInfoDetail",
            columns: [
                //{ title: "电芯序列号", field: "serialNumber", type: "text"},
                //{ title: "物料编号", field: "materielCode",type: "text" },
                { title: "物料名称", field: "materielName", type: "text" },
                //{ title: "库存状态", field: "status", type: "text" },
                { title: "组盘数量", field: "quantity", type: "text" },
                { title: "创建时间", field: "createDate", type: "text" },
            ],
            sortName: "id",
            key: "BoxingInfoId"
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
